From d2ca477088375a2f72ac682e720577a08e323075 Mon Sep 17 00:00:00 2001
From: Tiago Freitas Pereira <tiagofrepereira@gmail.com>
Date: Sun, 20 Nov 2016 20:31:48 +0100
Subject: [PATCH] Testing ci

---
 .gitlab-ci.yml     |  4 ++--
 ci/before_build.sh | 18 ++++++++++--------
 ci/build.sh        |  2 +-
 3 files changed, 13 insertions(+), 11 deletions(-)

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 9b52a92..7ac47df 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -19,9 +19,9 @@ stages:
     - git clean -ffdx
     - chmod 755 ci/install.sh
     - ./ci/install.sh ci #updates
-    - ./ci/before_build.sh 0
+    - ./ci/before_build.sh 1 buildout-bob.cfg
   script:
-    - ./ci/build.sh buildout-bob.cfg
+    - ./ci/build.sh
   after_script:
     - ./ci/after_build.sh
   artifacts:
diff --git a/ci/before_build.sh b/ci/before_build.sh
index 02624b3..94bdf88 100755
--- a/ci/before_build.sh
+++ b/ci/before_build.sh
@@ -4,6 +4,7 @@
 source $(dirname ${0})/functions.sh
 
 PIPINSTALL=$1
+CONFIG_FILE=$2
 
 WHEELS_REPOSITORY="${DOCSERVER}/software/bob/wheels/gitlab/"
 WHEELS_SERVER=`echo ${DOCSERVER} | sed 's;https\?://;;'`
@@ -49,14 +50,15 @@ if [ "$PIPINSTALL" == 1]; then
   if [ -e requirements-bob.txt ]; then
     run_cmd ${use_pip} install ${PIPOPTS} --requirement requirements-bob.txt
   else
-    log_info "No requirements.txt file found, skipping 'pip install <build-deps>'..."
+    log_info "No requirements-bob.txt file found, skipping 'pip install <build-deps>'..."
   fi
+fi
 
-  # Finally, bootstrap the installation from the new environment
-  if [ -e bootstrap-buildout.py ]; then
-    run_cmd ${use_python} bootstrap-buildout.py
-  else
-    log_error "No bootstrap-buildout.py file found, stopping..."
-    exit 1
-  fi
+# Finally, bootstrap the installation from the new environment
+if [ -e bootstrap-buildout.py ]; then
+  run_cmd ${use_python} bootstrap-buildout.py -c ${CONFIG_FILE}
+else
+  log_error "No bootstrap-buildout.py file found, stopping..."
+  exit 1
 fi
+
diff --git a/ci/build.sh b/ci/build.sh
index 7d0ae3e..32ac88c 100644
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -3,7 +3,7 @@
 
 source $(dirname ${0})/functions.sh
 
-run_cmd ./bin/buildout -c ${1}
+run_cmd ./bin/buildout
 
 if [ -x ./bin/bob_dbmanage.py ]; then
   run_cmd ./bin/bob_dbmanage.py all download --force;
-- 
GitLab